[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# operator :=(Tmatrix3_extended): Tmatrix2_single

Allow assignment of three-dimensional extended precision matrix to two-dimensional single precision matrix

## Declaration

Source position: matrix.pp line 482

`operator operator :=(Tmatrix3_extended): Tmatrix2_single(`
`const v: Tmatrix3_extended`
`):Tmatrix2_single;`

## Description

This operator allows you to use a three-dimensional matrix with extended precision values wherever a two-dimensional matrix with single precision is expected. The surplus fields are thrown away and some precision is lost because of the conversion.

Documentation generated on: Feb 26 2014